#!/bin/bash

source /herschel/software/hcss/hcss_1.1.0/linux_32bit/source.sh
PATH=/herschel/software/external/java/jdk1.6.0_07/jdk1.6.0_07-linux-i586/bin:/herschel/software/hcss/hcss_1.1.0/linux_32bit/bin/:${PATH}
VERSANT_ROOT=/herschel/software/external/versant/current
LD_LIBRARY_PATH="/herschel/software/hcss/CIB_repository/modules/ext/jvi/7.0.1.4.6-1/linux-x86_32/lib:${LD_LIBRARY_PATH}"


echo "usage: 2createOBSMODtable posicp_file prop_file dir OD-Number"
echo "dir = where you want the table to be created: should include full path"
echo "prop_file: include full path to prop_file"

exstat=0

     pos=$1
     HCSS_PROPS=$2
     here=$3
     od=$4

if [ ! -e ${here}/PACS_DUR_OD${od}.txt ]; then
        touch ${here}/PACS_DUR_OD${od}.txt
else
        rm ${here}/PACS_DUR_OD${od}.txt
fi

pwd=`pwd`
grep "OBS MODE" $pos > tmp
cut -c52-120 tmp > tmpobsmode

for file in `cat tmpobsmode` ; do
java -classpath $CLASSPATH -Xmx512M -Dproperty.path="${HCSS_PROPS}" -Dhcss.cus.outputfile="${here}/msg${file}.txt" herschel.cus.gui.Cus -defdurtotal $file
cat ${here}/msg${file}.txt >> ${here}/PACS_DUR_OD${od}.txt
done
